/**
 * Template string type for AUIDs
 */
export type AUID = `${string}-${string}-${string}-${string}`;
/**
 * Generates a crytografically strong AUID
 *
 * With `(2 ^ 4) ^ (16*4)` or `2 ^ 256` or `1.1579209e+77` possible combinations
 */
export declare function generateAUID(): AUID;
/**
 * Generates a crytografically strong AUID **inside of the browser environment**
 *
 * With `(2 ^ 4) ^ (16*4)` or `2 ^ 256` or `1.1579209e+77` possible combinations
 */
export declare function generateAUID_dom(): AUID;
/**
 * Fullproof regex for AUIDs
 */
export declare const isAUID: RegExp;
